javax.websocket

## Interface RemoteEndpoint.Async

All Superinterfaces:
  RemoteEndpoint

Enclosing interface:
  RemoteEndpoint

    public static interface RemoteEndpoint.Async
    extends RemoteEndpoint

### Nested Class Summary

### Nested classes/interfaces inherited from interface javax.websocket.RemoteEndpoint

`RemoteEndpoint.Async, RemoteEndpoint.Basic`

### Method Summary

Methods
`long` `getSendTimeout()` Obtain the timeout (in milliseconds) for sending a message asynchronously.
`java.util.concurrent.Future<java.lang.Void>` `sendBinary(java.nio.ByteBuffer data)` Send the message asynchronously, using the Future to signal to the client when the message has been sent.
`void` `sendBinary(java.nio.ByteBuffer data, SendHandler completion)` Send the message asynchronously, using the SendHandler to signal to the client when the message has been sent.
`java.util.concurrent.Future<java.lang.Void>` `sendObject(java.lang.Object obj)`
`void` `sendObject(java.lang.Object obj, SendHandler completion)`
`java.util.concurrent.Future<java.lang.Void>` `sendText(java.lang.String text)` Send the message asynchronously, using the Future to signal to the client when the message has been sent.
`void` `sendText(java.lang.String text, SendHandler completion)` Send the message asynchronously, using the SendHandler to signal to the client when the message has been sent.
`void` `setSendTimeout(long timeout)` Set the timeout (in milliseconds) for sending a message asynchronously.

### Methods inherited from interface javax.websocket.RemoteEndpoint

`flushBatch, getBatchingAllowed, sendPing, sendPong, setBatchingAllowed`

### Method Detail

#### getSendTimeout

    long getSendTimeout()

Obtain the timeout (in milliseconds) for sending a message asynchronously. A non-positive value means an infinite timeout. The default value is determined by `WebSocketContainer.getDefaultAsyncSendTimeout()`.

#### setSendTimeout

    void setSendTimeout(long timeout)

Set the timeout (in milliseconds) for sending a message asynchronously. A non-positive value means an infinite timeout. The default value is determined by `WebSocketContainer.getDefaultAsyncSendTimeout()`.

#### sendText

    void sendText(java.lang.String text,
                SendHandler completion)

Send the message asynchronously, using the SendHandler to signal to the client when the message has been sent.

Parameters:
  `text` - The text message to send
  `completion` - Used to signal to the client when the message has been sent

#### sendText

    java.util.concurrent.Future<java.lang.Void> sendText(java.lang.String text)

Send the message asynchronously, using the Future to signal to the client when the message has been sent.

Parameters:
  `text` - The text message to send

#### sendBinary

    java.util.concurrent.Future<java.lang.Void> sendBinary(java.nio.ByteBuffer data)

Send the message asynchronously, using the Future to signal to the client when the message has been sent.

Parameters:
  `data` - The text message to send

#### sendBinary

    void sendBinary(java.nio.ByteBuffer data,
                  SendHandler completion)

Send the message asynchronously, using the SendHandler to signal to the client when the message has been sent.

Parameters:
  `data` - The text message to send
  `completion` - Used to signal to the client when the message has been sent

#### sendObject

    java.util.concurrent.Future<java.lang.Void> sendObject(java.lang.Object obj)

#### sendObject

    void sendObject(java.lang.Object obj,
                  SendHandler completion)